Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.server.intf
Interface ServerEnactmentContext

public interface ServerEnactmentContext

This API provides access to workflow data and is implemented as a server interface. It is used in `JavaActions`. To access the methods of the `ServerEnactmentContext`, you must import it. The syntax of the Java methods that access the Server Enactment Context API is:

       public static void myJavaActionMethod(ServerEnactmentContext sec) {
           'Type' 'Java variable' = sec.' method'( 'param1','param2',...);
           ...
       }

Example:

       public static void myJavaActionMethod(ServerEnactmentContext sec) {
           String name = sec.getProcessName();
            // now do something with the name...
       }

`String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc description of each parameter. If the length of a value supplied for such a parameter exceeds this limit or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

If the signature of a method does not allow the throwing of exceptions, any value supplied to this method that exceeds the length limit is truncated to the maximum length supported. `null` values are ignored in this case. Any method’s behaviour that differs from the behaviour described above is explained in the method’s Javadoc description.

See Also:
  `ProcessInstance`, `Plan`

Field Summary
`static int` | `ACTIVITY_TIMER_JAVAACTIONSET` Deprecated.
`static int` | `COMMIT_JAVAACTIONSET` Deprecated.
`static int` | `EPILOGUE_JAVAACTIONSET` Deprecated.
`static int` | `INIT_JAVAACTIONSET` Deprecated.
`static int` | `PROCESS_TIMER_JAVAACTIONSET` Deprecated.
`static int` | `PROCESSOWNER_JAVAACTIONSET` Deprecated.
`static int` | `PROLOGUE_JAVAACTIONSET` Deprecated.
`static int` | `ROLE_JAVAACTIONSET` Deprecated.
`static java.lang.String` | `SERVER_ENACTMENT_CONTEXT` Specifies the name of the UDA constant used for Enactment Context.

Method Summary
`void` | `addAttachment(java.lang.String attachmentName, java.lang.String attachmentPath)` Adds the attachment stored at the specified path in the Document Management System (DMS) to the current process instance and assigns it the specified name.
`void` | `deleteAttachment(java.lang.String attachmentName)` Removes the attachment identified by the specified name from the current process.
`void` | `escalateActivity(java.lang.String assignees)` Escalates the activity to which it is assigned to the comma-separated list of users specified in `assignees`.
`java.lang.String` | `evaluateScript(java.lang.String script, java.lang.String name)` Executes the JavaScript contained in `script` and assigns it the name contained in `name`.
`java.lang.String[]` | `getActivityAssignees()` Returns an array of the names of the users who were assigned to the current activity's work items.
`java.lang.String` | `getActivityName()` Returns the name of the current activity.
`java.lang.String` | `getActor()` Returns the name of the person who completed the current activity.
`java.lang.String[]` | `getAllAttachmentNames()` Returns an array containing all of the attachment names in the current process instance.
`java.lang.String[]` | `getAllAttributeNames()` Returns a list that includes all of the process attribute names.
`java.lang.String` | `getAttachment(java.lang.String attachmentName)` Returns a String containing the fully qualified path and file name of the attachment whose name is specified.
`java.lang.String[]` | `getChoices()` Returns a list of all choices that are possible within the current activity.
`long` | `getCurrentActivityId()` Returns the ID of the current Activity.
`long` | `getCurrentProcessId()` Returns the unique identifier of the current process instance.
`java.lang.String[]` | `getGroupMembers(java.lang.String groupName)` Returns an array of the members of the specified `groupName` from the directory service when the JavaAction is evaluated.
`java.lang.String` | `getProcessAttribute(java.lang.String name)` Returns the actual value of the process attribute with the specified name.
`java.lang.String` | `getProcessAttributeStringType(java.lang.String udaName)` Returns the type of an existing User Defined Attribute (UDA) with the specified name as a string.
`int` | `getProcessAttributeType(java.lang.String udaName)` Returns the type of the specified process attribute as an integer.
`java.lang.String` | `getProcessDefinitionId()` Returns the unique identifier of the process definition from which the current process instance was started.
`java.lang.String` | `getProcessDefinitionName()` Returns the name of process definition from which the current process instance was started.
`java.lang.String` | `getProcessDescription()` Returns the description of the current process instance.
`java.lang.String` | `getProcessInitiator()` Returns the name of the user who started the current process instance.
`java.lang.String` | `getProcessName()` Returns the name of the current process instance.
`java.lang.String[]` | `getProcessOwners()` Returns an array of the owners of the current process.
`int` | `getProcessPriority()` Returns the priority of the current process instance as an integer value.
`java.lang.String` | `getProcessTitle()` Returns the title of the current process instance.
`java.lang.String` | `joinString(java.lang.String[] stringArray)` Packs a String array of identifiers into a comma-delimited list that is a single String.
`void` | `makeChoiceAction(long actId, java.lang.String choiceName)` Makes the choice specified in choiceName on the activity whose ID is specified in actId.
`void` | `sendEmail(java.lang.String to, java.lang.String from, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String body)` Sends an email message specified in the method's parameters.
`void` | `sendEmail(java.lang.String to, java.lang.String from, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String body, java.lang.String mimeType)` Sends the email message specified in the method's parameters (allows multiple addresses and mimeType). Use this email method when you must use more than one email address in the fields to, from, cc or bcc.
`void` | `setActivityAssignees(java.lang.String[] assignees)` Assigns the users with the given names to the current activity of this enactment context's related process according to the following assignment rules.
`void` | `setOwners(java.lang.String[] users)` Sets the specified array of users as owners of the process instance.
`void` | `setProcessAttribute(java.lang.String name, java.lang.String value)` Sets the value of an existing User Defined Attribute (UDA) with the specified name to the specified value.
`void` | `setProcessDescription(java.lang.String description)` Sets the description of current process instance.
`void` | `setProcessName(java.lang.String name)` Sets the specified string `name` as the name of current process instance.
`void` | `setProcessOwners(java.lang.String[] users)` Sets the specified array of `users` as the owners of the current process instance.
`void` | `setProcessPriority(int priority)` Sets the process priority of the current process instance.
`void` | `setProcessTitle(java.lang.String title)` Sets the specified string `title` as the title of the current process.
`java.lang.String[]` | `splitString(java.lang.String commaList)` Splits the supplied a comma-delimited list of identifiers into an array of separate Strings.

Field Detail

### INIT_JAVAACTIONSET

    public static final int INIT_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### COMMIT_JAVAACTIONSET

    public static final int COMMIT_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### PROCESSOWNER_JAVAACTIONSET

    public static final int PROCESSOWNER_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### PROLOGUE_JAVAACTIONSET

    public static final int PROLOGUE_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### EPILOGUE_JAVAACTIONSET

    public static final int EPILOGUE_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### ROLE_JAVAACTIONSET

    public static final int ROLE_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### PROCESS_TIMER_JAVAACTIONSET

    public static final int PROCESS_TIMER_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### ACTIVITY_TIMER_JAVAACTIONSET

    public static final int ACTIVITY_TIMER_JAVAACTIONSET

  Deprecated.

  See Also:
    Constant Field Values

### SERVER_ENACTMENT_CONTEXT

    public static final java.lang.String SERVER_ENACTMENT_CONTEXT

  Specifies the name of the UDA constant used for Enactment Context.

  See Also:
    Constant Field Values

Method Detail

### getActor

    public java.lang.String getActor()
                              throws java.lang.Exception

  Returns the name of the person who completed the current activity. This command should only be used in an Epilogue JavaAction.

  Returns:
    The name of the user who completed current activity.
  Throws:
    `java.lang.Exception`

### getCurrentProcessId

    public long getCurrentProcessId()
                             throws java.lang.Exception

  Returns the unique identifier of the current process instance.

  Returns:
    The unique identifier of the process instance.
  Throws:
    `java.lang.Exception`

### getProcessName

    public java.lang.String getProcessName()

  Returns the name of the current process instance. The name of a process instance is a short descriptive String value that identifies the process instance.

  Returns:
    The process instance name.

### getProcessTitle

    public java.lang.String getProcessTitle()

  Returns the title of the current process instance.

  Returns:
    The title of the process instance.

### getProcessDescription

    public java.lang.String getProcessDescription()

  Returns the description of the current process instance. The description is used to provide more information about the process instance being executed.

  Returns:
    Description of the current process instance.

### getProcessPriority

    public int getProcessPriority()

  Returns the priority of the current process instance as an integer value. The process priority can be any value between plus or minus 32,767.

  However, process priorities are categorized as follows: high (High), medium (Med) and low (Low).
  This categorization of priorities is made according to the following rules:

  - HIGH: Any number greater than or equal to 16.
  - MEDIUM: Any number between eight and 16 (including eight).
  - LOW: Any number less than eight.

  Returns:
    The priority of current process instance as integer value.

### getProcessOwners

    public java.lang.String[] getProcessOwners()
                                        throws java.lang.Exception

  Returns an array of the owners of the current process.

  Returns:
    Array of user names who are owners of the current process instance.
  Throws:
    `java.lang.Exception`

### setProcessName

    public void setProcessName(java.lang.String name)
                        throws java.lang.Exception

  Sets the specified string `name` as the name of current process instance.

  The name is limited to to the number of characters specified by `ProcessInstance.MAX_PROCESS_NAME_LENGTH` and must not contain any of the following characters: `\ | / : * ? " < >`.

  Parameters:
    `name` - The new name of current process instance.
  Throws:
    `java.lang.Exception` - Thrown when the supplied name is invalid or `null`.

### setProcessTitle

    public void setProcessTitle(java.lang.String title)
                         throws java.lang.Exception

  Sets the specified string `title` as the title of the current process.

  The title is limited to the number of characters specified by `ProcessInstance.MAX_PROCESS_TITLE_LENGTH`.

  Parameters:
    `title` - The new title of current process instance.
  Throws:
    `java.lang.Exception` - Thrown when the supplied title is invalid or `null`.

### setProcessDescription

    public void setProcessDescription(java.lang.String description)
                               throws java.lang.Exception

  Sets the description of current process instance. The description is a long String that contains detailed information about the process instance.

  The description String must not be longer than specified by `ProcessInstance.MAX_PROCESS_DESCRIPTION_LENGTH`.

  Parameters:
    `description` - The new description of current process instance.
  Throws:
    `java.lang.Exception` - Thrown when the supplied description is invalid or `null`.

### setProcessPriority

    public void setProcessPriority(int priority)
                            throws java.lang.Exception

  Sets the process priority of the current process instance. The process priority can be any value between plus or minus 32,767.

  However, process priorities are categorized as follows: high (High), medium (Med) and low (Low).
  This categorization of priorities is made according to the following rules:

  - HIGH: Any number greater than or equal to 16.
  - MEDIUM: Any number between eight and 16 (including eight).
  - LOW: Any number less than eight.

  Parameters:
    `priority` - The priority of the current process instance as an integer value.
  Throws:
    `java.lang.Exception`

### setProcessOwners

    public void setProcessOwners(java.lang.String[] users)
                          throws java.lang.Exception

  Sets the specified array of `users` as the owners of the current process instance.

  The user values must not be longer than specified by `DirectoryServices.MAX_DIR_NAME_LENGTH` and must not contain a comma.

  Parameters:
    `users` - Array of user names who are to be the owners of the process instance.
  Throws:
    `java.lang.Exception`

### setOwners

    public void setOwners(java.lang.String[] users)
                   throws java.lang.Exception

  Sets the specified array of users as owners of the process instance.

  The user values must not be longer than specified by `Plan.MAX_OWNER_NAME_LENGTH`.

  Parameters:
    `users` - list of user names.
  Throws:
    `java.lang.Exception`

### getProcessAttribute

    public java.lang.String getProcessAttribute(java.lang.String name)
                                         throws java.lang.Exception

  Returns the actual value of the process attribute with the specified name. This method works only for User Defined Attributes (UDAs) that have been defined on the process definition.

  The name of the UDA is limited to the number of characters specified by the constant `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `name` - The UDA's name.
  Returns:
    The value of UDA formatted as `String`.
  Throws:
    `java.lang.Exception`
  See Also:
    `setProcessAttribute(String, String)`

### getProcessAttributeStringType

    public java.lang.String getProcessAttributeStringType(java.lang.String udaName)
                                                   throws java.lang.Exception

  Returns the type of an existing User Defined Attribute (UDA) with the specified name as a string.

  The name of UDA is limited to the number of characters specified by `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `udaName` - The UDA's names.
  Returns:
    The string representation of the UDA's type as defined by the constants `TYPE_BOOLEAN`, `TYPE_STRING`, ... of class `DataItemRef`
  Throws:
    `java.lang.Exception`
  See Also:
    `DataItemRef`

### getProcessAttributeType

    public int getProcessAttributeType(java.lang.String udaName)
                                throws java.lang.Exception

  Returns the type of the specified process attribute as an integer.

  Use the following list to determine the data type:

  Value | Data type
  --- | ---
  0 | Boolean
  1 | String
  2 | Integer
  3 | Float
  4 | Long
  8 | BigDecimal
  9 | Date

  The name of the UDA is limited to the number of characters specified by the constant `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `udaName` - Name of process attribute.
  Returns:
    The integer representation of the process attribute's type. Or -1 if the type of attribute could not be detected.
  Throws:
    `java.lang.Exception` - Thrown if the supplied uda name exceeds the maximum length or if the uda name is `null`.

### setProcessAttribute

    public void setProcessAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws java.lang.Exception

  Sets the value of an existing User Defined Attribute (UDA) with the specified name to the specified value.

  The name of UDA is limited to the number of characters specified by `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `name` - The UDA's names
    `value` - The new value of UDA as `String` format.
  Throws:
    `java.lang.Exception`

### getAllAttributeNames

    public java.lang.String[] getAllAttributeNames()
                                            throws java.lang.Exception

  Returns a list that includes all of the process attribute names.

  Returns:
    List of all attributes names.
  Throws:
    `java.lang.Exception`

### getProcessInitiator

    public java.lang.String getProcessInitiator()
                                         throws java.lang.Exception

  Returns the name of the user who started the current process instance.

  Returns:
    Name of the user who started the current process instance.
  Throws:
    `java.lang.Exception`

### getAttachment

    public java.lang.String getAttachment(java.lang.String attachmentName)
                                   throws java.lang.Exception

  Returns a String containing the fully qualified path and file name of the attachment whose name is specified.

  The following example shows you how to get the fully qualified path of an attachment (named `MyAttachment`) and store that path in a User Defined Attribute (UDA) called AttachmentPath (NOTE: AttachmentPath must be a UDA of type String):

       var pathName = sec.getAttachment("MyAttachment");
       sec.setProcessAttribute("AttachmentPath", pathName);

  The name of attachment (attachmentName) is limited to 30 characters.

  Parameters:
    `attachmentName` - The attachment's name.
  Returns:
    The fully qualified path and file name of the attachment.
  Throws:
    `java.lang.Exception`

### getAllAttachmentNames

    public java.lang.String[] getAllAttachmentNames()
                                             throws java.lang.Exception

  Returns an array containing all of the attachment names in the current process instance. If there are no attachments on the process instance, this function throws an exception.

  In the following example, the array containing all attachment names (returned with getAllAttachmentNames) is assigned as the value of the variable `name`. Then, the array of names is converted into a comma-separated list with a for loop. Finally, the comma-separated list contained in `attList` is assigned as the value of the `AttachmentList` User Defined Attribute:

       var name = sec.getAllAttachmentNames();
       var attList = "";
       for (var i = 0; i < name.length; i++) {
           attList = attList + ", " + name[i];
       }
       sec.setProcessAttribute("AttachmentList", attList);

  Returns:
    Array of attachments that are contained in the current process instance.
  Throws:
    `java.lang.Exception` - When current process instance does not have any attachments.
  See Also:
    `addAttachment(String, String)`

### addAttachment

    public void addAttachment(java.lang.String attachmentName,
                              java.lang.String attachmentPath)
                       throws java.lang.Exception

  Adds the attachment stored at the specified path in the Document Management System (DMS) to the current process instance and assigns it the specified name.

  Interstage BPM uses the attachment path to identify the physical location of the attachment in the DMS. The attachment's name is typically what the user sees. Each process instance can have only one attachment with any given name.

  The name of attachment is limited to the number of characters specified `AttachmentRef.MAX_ATTACHMENT_NAME_LENGTH`. The attachment's path must not be longer than specified by `AttachmentRef.MAX_ATTACHMENT_PATH_LENGTH`.

  Parameters:
    `attachmentName` - The attachment's name.
    `attachmentPath` - The fully qualified path (with filename) of the attachment.
  Throws:
    `java.lang.Exception` - Thrown when the attachment's name or path is invalid or null.
  See Also:
    `deleteAttachment(String)`, `getAttachment(String)`

### deleteAttachment

    public void deleteAttachment(java.lang.String attachmentName)
                          throws java.lang.Exception

  Removes the attachment identified by the specified name from the current process.

  The name of the UDA is limited to the number of characters specified by the constant `AttachmentRef.MAX_ATTACHMENT_NAME_LENGTH`.

  Parameters:
    `attachmentName` - The name of the attachment to be deleted.
  Throws:
    `java.lang.Exception`
  See Also:
    `addAttachment(String, String)`

### getGroupMembers

    public java.lang.String[] getGroupMembers(java.lang.String groupName)
                                       throws java.lang.Exception

  Returns an array of the members of the specified `groupName` from the directory service when the JavaAction is evaluated. The returned array contains all of the members of the groupName (role).

  Parameters:
    `groupName` - Name of role for which you want to get all users.
  Returns:
    Array of the names of the users that are members of the specified role.
  Throws:
    `java.lang.Exception`

### getCurrentActivityId

    public long getCurrentActivityId()
                              throws java.lang.Exception

  Returns the ID of the current Activity.

  Returns:
    The unique identifier of current activity
  Throws:
    `java.lang.Exception`

### getActivityAssignees

    public java.lang.String[] getActivityAssignees()
                                            throws java.lang.Exception

  Returns an array of the names of the users who were assigned to the current activity's work items. This command can be used only in the Role and Epilogue Java Actions of an activity.

  Returns:
    Names of assignees regarding to current activity.
  Throws:
    `java.lang.Exception`

### setActivityAssignees

    public void setActivityAssignees(java.lang.String[] assignees)
                              throws java.lang.Exception

  Assigns the users with the given names to the current activity of this enactment context's related process according to the following assignment rules.

  If there is no role defined for the activity, then all users are assigned to the activity. If the activity has a role assigned, the intersection between this role's users and the given users is assigned to the activity. If this intersection is empty, the process owner is set as the sole assignee of the activity.

  This method should be used only in a Role JavaAction.

  The assignee values must not be longer than specified by `DirectoryServices.MAX_DIR_NAME_LENGTH` and must not contain a comma.

  Parameters:
    `assignees` - The list of names of users who are to be assigned to the current activity of this enactment context's related process according to certain assignment rules.
  Throws:
    `java.lang.Exception`

### getActivityName

    public java.lang.String getActivityName()
                                     throws java.lang.Exception

  Returns the name of the current activity.

  NOTE: This command can be used only in the following JavaActions of an activity:

  - Role
  - Prologue
  - Epilogue

  Returns:
    The name of current activity.
  Throws:
    `java.lang.Exception`

### getProcessDefinitionId

    public java.lang.String getProcessDefinitionId()
                                            throws java.lang.Exception

  Returns the unique identifier of the process definition from which the current process instance was started.

  Returns:
    The unique identifier of the process definition for the current process instance.
  Throws:
    `java.lang.Exception`

### getProcessDefinitionName

    public java.lang.String getProcessDefinitionName()
                                              throws java.lang.Exception

  Returns the name of process definition from which the current process instance was started.

  Returns:
    Name of process definition for the current process instance.
  Throws:
    `java.lang.Exception`

### getChoices

    public java.lang.String[] getChoices()
                                  throws java.lang.Exception

  Returns a list of all choices that are possible within the current activity.

  Returns:
    The choices of the currenty activity.
  Throws:
    `java.lang.Exception`

### splitString

    public java.lang.String[] splitString(java.lang.String commaList)
                                   throws java.lang.Exception

  Splits the supplied a comma-delimited list of identifiers into an array of separate Strings.

  Note: The identifier values must not have any commas in them, and there is no escaping mechanism to allow commas to be included in the values.

  Parameters:
    `commaList` - A comma-delimited list of identifiers.
  Returns:
    A list of the separated identifiers.
  Throws:
    `java.lang.Exception`

### joinString

    public java.lang.String joinString(java.lang.String[] stringArray)
                                throws java.lang.Exception

  Packs a String array of identifiers into a comma-delimited list that is a single String.

  Note: The identifier values must not have any commas in them, there is no escaping mechanism to allow commas to be included in the values.

  Parameters:
    `stringArray` - A list of separated identifiers.
  Returns:
    A comma-delimited list of the supplied identifiers within a single String
  Throws:
    `java.lang.Exception`

### evaluateScript

    public java.lang.String evaluateScript(java.lang.String script,
                                           java.lang.String name)
                                    throws java.lang.Exception

  Executes the JavaScript contained in `script` and assigns it the name contained in `name`.

  NOTE: This API is used by the Evaluate Script JavaAction to execute JavaScripts in the context of a JavaAction. It is unnecessary to use this API in a JavaScript.

  Parameters:
    `script` - The JavaScript to be evaluated.
    `name` - The name of the JavaScript.
  Returns:
    The result of the JavaScript evaluation
  Throws:
    `java.lang.Exception` - Thrown when the supplied JavaScript or name is `null`.

### makeChoiceAction

    public void makeChoiceAction(long actId,
                                 java.lang.String choiceName)
                          throws java.lang.Exception

  Makes the choice specified in choiceName on the activity whose ID is specified in actId.

  NOTE: This API works automatically in that way that it will move your process instance to the next step. It can only be used in a Prologue `JavaAction` or Role `JavaAction` on the activity node upon which you will be making the choice. Furthermore, the activity must be in running state.

  It is normally used in triggers but is not limited to that usage.

  Parameters:
    `actId` - The unique identifier of the activity to be executed or -1 to execute the make choice of current (active) activity.
    `choiceName` - The name of the activity's related outgoing arrow that the workflow is to continue with.
  Throws:
    `java.lang.Exception` - Thrown when the supplied choice name is invalid or `null`. Also thrown if the regarding activity is not running state.

### escalateActivity

    public void escalateActivity(java.lang.String assignees)
                          throws java.lang.Exception

  Escalates the activity to which it is assigned to the comma-separated list of users specified in `assignees`.

  NOTE: This API can only be used in the context of a JavaAction.

  Parameters:
    `assignees` - Comma-seperated list of activity assignees.
  Throws:
    `java.lang.Exception`

### sendEmail

    public void sendEmail(java.lang.String to,
                          java.lang.String from,
                          java.lang.String cc,
                          java.lang.String bcc,
                          java.lang.String subject,
                          java.lang.String body)
                   throws java.lang.Exception

  Sends an email message specified in the method's parameters. The attributes of the to, from, cc and bcc fields may contain only one email address. If you must use more than one email address in the fields to, from, cc or bcc; use the `sendEmail(String, String, String, String, String, String, String)` method.

  Parameters:
    `to` - The receiver's email address.
    `from` - The email address of the sender.
    `cc` - The email address of the receiver who is copied on the message.
    `bcc` - The email address of the receiver who is blind copied on the message.
    `subject` - The subject of the email message.
    `body` - The email's message.
  Throws:
    `java.lang.Exception`

### sendEmail

    public void sendEmail(java.lang.String to,
                          java.lang.String from,
                          java.lang.String cc,
                          java.lang.String bcc,
                          java.lang.String subject,
                          java.lang.String body,
                          java.lang.String mimeType)
                   throws java.lang.Exception

  Sends the email message specified in the method's parameters (allows multiple addresses and mimeType).
  Use this email method when you must use more than one email address in the fields to, from, cc or bcc. When using multiple addresses, the address parameters must contain a semicolon-seperated list of email addresses.

  Parameters:
    `to` - The receiver's email address(es). This parameter must be a javascript expression. Example - (1) "\"interstage@fujitsu.com\"" (2) uda.emailAddress (3) "name" + "@" + "domainname"
    `from` - The email address of the sender. This is not being used and instead ServerEmailAddress will be used.
    `cc` - The email adress(es) of receiver(s) who is (are) copied on the message. This parameter must be a javascript expression.
    `bcc` - The email address(es) of receiver(s) who is (are) blind copied on the message. This parameter must be a javascript expression.
    `subject` - The subject of the email message.
    `body` - The email's message.
    `mimeType` - The type of body formatting (like: "text/plain").
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD